org.gradle.nativebinaries.toolchain

## Interface PlatformConfigurableToolChain

- All Superinterfaces:
    Named, ToolChain
  All Known Subinterfaces:
    Clang, Gcc

      @Incubating
      public interface PlatformConfigurableToolChain
      extends ToolChain

  A ToolChain that can handle additional platforms simply by configuring the NativeBinary.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlatformConfiguration(TargetPlatformConfiguration platformConfig)` Add configuration for a target platform.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### addPlatformConfiguration

          void addPlatformConfiguration(TargetPlatformConfiguration platformConfig)

      Add configuration for a target platform.